﻿html {
    height: 100%;
}

body {
    /*min-height: 100%;*/
}

body
{
    background-color: #334433;
    font-size: .80em;
    font-family: "Helvetica Neue" , "Lucida Grande" , "Segoe UI" , Arial, Helvetica, Verdana, sans-serif;
    color: #ddeeee;
    margin: 0px;
    padding: 0px;

    display:flex;
    justify-content:center;
    
}

a
{
    color: #ddeeee;
    text-decoration: none;
    cursor: pointer;
    border: none;
}

.page div
{
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}
.loading
{
    display: none;
}

.error
{
    display: none;
}

.loadingContent
{
    text-align: center;
    vertical-align: middle;
    padding-top: 20px;
    position: relative;
}

body {
    padding-left: 50px;
    padding-right: 50px;
    padding-top: 10px;
    padding-bottom: 10px;
}

.page {
    display: flex;
    flex-direction: column;
    min-height: 95vh;
    max-width: 1200px;
    flex-grow: 1;
}

.siteheader {
    width: 100%;
    /*height: 80px;*/
    padding-bottom: 5px;
    font-size: 2em;
    font-weight: bold;
    margin-bottom: 5px;

    display: flex;
    justify-content: center;
    flex-wrap: nowrap;
}

#sitefooter {
    width: 100%;
    margin-top: 5px;
    font-size: 1em;
    height: 100%;
    font-size: 0.8em;
    position: relative;
    height: 35px;
}

.footercontent {
    padding-top: 1px;
    padding-bottom: 1px;
    padding-left: 5px;
    padding-right: 5px;
    text-align: center;
    height: 34px;
    display: flex;
}

/*.title
{
    width: 200px;
    text-align: center;
    line-height: 70px;
    font-size: 1em;
}*/

.menu {
    /*float: left;*/
    
    margin-top: 5px;
    display: flex;
    flex-wrap: wrap;
    width:100%
}

.menu .menutile
{
    /*float: left;*/
    margin-left: 5px;
    /*height: 100%;*/
    padding-left: 5px;
    padding-right: 5px;
    width: 160px;
    font-size: 0.8em;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    margin-top:5px
}

.selected
{
}

.textblock
{
    line-height: 1.5em;
    
}

.textblock a
{
    text-decoration: underline;
}

.menutile
{
}

.menu .menutile .submenu
{
    margin-left: 20px;
    margin-right: 5px;
    font-size: 0.75em;
}

.menu .menutitle {
    /*float: left;*/
    /*height: 100%;*/
    padding-left: 20px;
    padding-right: 5px;
    /*width: 305px;*/
    font-size: 1.3em;
    line-height: 70px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    flex-grow: 1;
    margin-top:5px;
}

.contentTiles {
    font-size: 2em;
    font-weight: bold;
    /*clear: both;*/

    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.contentTile {
    width: 395px;
    height: 200px;
    /*float: left;*/
    margin: 5px;
    overflow: hidden;
    flex-grow: 0.5;
}

.contentTile .tileBody
{
    width: 100%;
    height: 100%;
}

.leftTile
{
    margin-right: 5px;
}

.rightTile
{
    margin-left: 5px;
}

.paddedContent
{
    padding: 0px 5px 0px 5px;
}

.content {
    flex-grow:1;
    margin-bottom: 5px;
    overflow: hidden;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

.contentContainer {
    display: flex;
    flex-direction: column;
    min-height: 300px;
}

.contentWrapper {
    display: flex;
    flex-direction: column;
    align-items:center;
}

.largeContent {
    /*overflow-y: scroll; /*min-height:600px;*/ /*  max-height: 600px;*/
    margin: 0px 2px 0px 0px;
    padding-right: 10px !important;
    flex-grow: 1;
    width: 100%;
}

.h2wrapper
{
    padding-top: 1px;
    padding-bottom: 1px;
}
.button:hover
{
}

.button:active
{
}

.button
{
    border-radius: 5px;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.button a
{
}

table
{
    border-collapse: collapse;
}

th
{
    text-align: left;
    cursor: pointer;
    text-decoration: underline;
}

td
{
    padding: 3px;
}

img
{
    border: 0px;
}

.article img
{
    text-align: center;
    max-width: 750px;
}

#tooltip
{
    position: absolute;
    padding: 5px;
    display: none;
}

.footerText {
    /*float: left;
    width: 705px;*/
    flex-grow: 1;
}

.clearfix:after {
    content: "";
    display: table;
    clear: both;
}

.themeSelector
{
    /*float: left;*/
    width: 80px;
    /*margin: auto;*/
}

.themeButton
{
    border-radius: 2px;
    display: block;
    float: left;
    width: 15px;
    height: 15px;
    cursor: pointer;
    margin: 5px;
    margin-top: 8px;
}

#themeDefault
{
    background: rgb(136,221,136); /* Old browsers */
    background: -moz-linear-gradient(-45deg,  rgba(136,221,136,1) 0%, rgba(68,102,68,1) 49%, rgba(51,68,51,1) 50%, rgba(34,51,34,1) 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, right bottom, color-stop(0%,rgba(136,221,136,1)), color-stop(49%,rgba(68,102,68,1)), color-stop(50%,rgba(51,68,51,1)), color-stop(100%,rgba(34,51,34,1))); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(-45deg,  rgba(136,221,136,1) 0%,rgba(68,102,68,1) 49%,rgba(51,68,51,1) 50%,rgba(34,51,34,1) 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(-45deg,  rgba(136,221,136,1) 0%,rgba(68,102,68,1) 49%,rgba(51,68,51,1) 50%,rgba(34,51,34,1) 100%); /* Opera 11.10+ */
    background: -ms-linear-gradient(-45deg,  rgba(136,221,136,1) 0%,rgba(68,102,68,1) 49%,rgba(51,68,51,1) 50%,rgba(34,51,34,1) 100%); /* IE10+ */
    background: linear-gradient(-45deg,  rgba(136,221,136,1) 0%,rgba(68,102,68,1) 49%,rgba(51,68,51,1) 50%,rgba(34,51,34,1) 100%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#88dd88', endColorstr='#223322',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
}

#themeSilver
{
    background: rgb(255,255,255); /* Old browsers */
    background: -moz-linear-gradient(-45deg,  rgba(255,255,255,1) 0%, rgba(241,241,241,1) 50%, rgba(225,225,225,1) 51%, rgba(246,246,246,1) 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, right bottom, color-stop(0%,rgba(255,255,255,1)), color-stop(50%,rgba(241,241,241,1)), color-stop(51%,rgba(225,225,225,1)), color-stop(100%,rgba(246,246,246,1))); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(-45deg,  rgba(255,255,255,1) 0%,rgba(241,241,241,1) 50%,rgba(225,225,225,1) 51%,rgba(246,246,246,1) 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(-45deg,  rgba(255,255,255,1) 0%,rgba(241,241,241,1) 50%,rgba(225,225,225,1) 51%,rgba(246,246,246,1) 100%); /* Opera 11.10+ */
    background: -ms-linear-gradient(-45deg,  rgba(255,255,255,1) 0%,rgba(241,241,241,1) 50%,rgba(225,225,225,1) 51%,rgba(246,246,246,1) 100%); /* IE10+ */
    background: linear-gradient(-45deg,  rgba(255,255,255,1) 0%,rgba(241,241,241,1) 50%,rgba(225,225,225,1) 51%,rgba(246,246,246,1) 100%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#f6f6f6',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
}

#themeScifi
{
   background: #032036; /* Old browsers */
/* IE9 SVG, needs conditional override of 'filter' to 'none' */
background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIxMDAlIiB5Mj0iMTAwJSI+CiAgICA8c3RvcCBvZmZzZXQ9IjAlIiBzdG9wLWNvbG9yPSIjMDMyMDM2IiBzdG9wLW9wYWNpdHk9IjEiLz4KICAgIDxzdG9wIG9mZnNldD0iNDUlIiBzdG9wLWNvbG9yPSIjMDMyMDM2IiBzdG9wLW9wYWNpdHk9IjEiLz4KICAgIDxzdG9wIG9mZnNldD0iNTAlIiBzdG9wLWNvbG9yPSIjMGI3MGJkIiBzdG9wLW9wYWNpdHk9IjEiLz4KICAgIDxzdG9wIG9mZnNldD0iMTAwJSIgc3RvcC1jb2xvcj0iIzAzMjAzNiIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgPC9saW5lYXJHcmFkaWVudD4KICA8cmVjdCB4PSIwIiB5PSIwIiB3aWR0aD0iMSIgaGVpZ2h0PSIxIiBmaWxsPSJ1cmwoI2dyYWQtdWNnZy1nZW5lcmF0ZWQpIiAvPgo8L3N2Zz4=);
background: -moz-linear-gradient(-45deg,  #032036 0%, #032036 45%, #0b70bd 50%, #032036 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, right bottom, color-stop(0%,#032036), color-stop(45%,#032036), color-stop(50%,#0b70bd), color-stop(100%,#032036)); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(-45deg,  #032036 0%,#032036 45%,#0b70bd 50%,#032036 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(-45deg,  #032036 0%,#032036 45%,#0b70bd 50%,#032036 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(-45deg,  #032036 0%,#032036 45%,#0b70bd 50%,#032036 100%); /* IE10+ */
background: linear-gradient(135deg,  #032036 0%,#032036 45%,#0b70bd 50%,#032036 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#032036', endColorstr='#032036',GradientType=1 ); /* IE6-8 fallback on horizontal gradient */

}

.contentTileTransition 
{
    width: 390px;
}


@media screen and (max-height: 700px) {
    body {
        overflow:scroll;
    }
}

